> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Call

> Patch a call by its ID in a campaign.
- **campaign_id**: The ID of the campaign configuration.
- **call_id**: The ID of the call to patch.
- **body**: The request body containing fields to update.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/sms/api.json patch /campaigns/v1/campaigns/{campaign_id}/calls/{call_id}
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /campaigns/v1/campaigns/{campaign_id}/calls/{call_id}:
    patch:
      tags:
        - Campaigns Calls
        - Campaign Calls
      summary: Update Call
      description: |-
        Patch a call by its ID in a campaign.
        - **campaign_id**: The ID of the campaign configuration.
        - **call_id**: The ID of the call to patch.
        - **body**: The request body containing fields to update.
      operationId: >-
        campaigns_service_patch_call_by_call_id_v1_campaigns__campaign_id__calls__call_id__patch
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            $ref: 41c3fdbf-06a7-4b35-b7c6-cb19760a1d63
            description: Campaign configuration ID
          description: Campaign configuration ID
        - name: call_id
          in: path
          required: true
          schema:
            $ref: 2b2bd9b1-25e7-4934-9661-edf909df58cd
            description: Call record ID
          description: Call record ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: 5b9c2e51-7c8f-46be-af87-5ff478ff1b59
      responses:
        '200':
          description: Updated call record object
          content:
            application/json:
              schema:
                $ref: 10e175da-78b3-43cd-92f7-54c57d5945fb
        '400':
          description: Bad request — invalid input or constraint violation
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
        '404':
          description: Requested resource not found
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: 61188eef-82a8-4002-94b5-80ed8ff45c7a
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````